Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

1. Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Daniel Scanoni
DanScanoni

(usa Ubuntu)

Enviado em 16/10/2020 - 13:12h

Olá, pessoal!
Estou com um problema na hora de fazer uma atualização do sistema no Kubuntu.
Estou tentando fazer a atualização pelo discover e, ao final, gera o seguinte erro:
" Falha ao instalar o pacote Error while installing package: cannot copy extracted data for './boot/vmlinuz-5.4.0-51-generic' to '/boot/vmlinuz-5.4.0-51-generic.dpkg-new' "
Como mostra a imagem abaixo.
Alguém pode dar uma ajudinha nisso?
Desde já, obrigado!


  


2. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 16/10/2020 - 13:45h

-mude o servidor/brasil p/ servidor/principal e tente atualizar novamente



3. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Daniel Scanoni
DanScanoni

(usa Ubuntu)

Enviado em 16/10/2020 - 16:23h

clodoaldops escreveu:

-mude o servidor/brasil p/ servidor/principal e tente atualizar novamente


Então, fiz isso e deu o seguinte erro:
"Could not refresh cache
pk-client-error-quark: E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.
W: Updating from such a repository can't be done securely, and is therefore disabled by default.
W: See apt-secure(8) manpage for repository creation and user configuration details.
(319)"
Isso em Configurações->Software Sources->Download from. Daí troquei pra servidor principal e apertei "close". Aparece uma tela com nome "software-properties-qt" e apertei em "Reload".


4. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 16/10/2020 - 16:56h


DanScanoni escreveu:

clodoaldops escreveu:

-mude o servidor/brasil p/ servidor/principal e tente atualizar novamente


Então, fiz isso e deu o seguinte erro:
"Could not refresh cache
pk-client-error-quark: E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.
W: Updating from such a repository can't be done securely, and is therefore disabled by default.
W: See apt-secure(8) manpage for repository creation and user configuration details.
(319)"
Isso em Configurações->Software Sources->Download from. Daí troquei pra servidor principal e apertei "close". Aparece uma tela com nome "software-properties-qt" e apertei em "Reload".



desabilita essa ppa: http://ppa.launchpad.net/webupd8team/java/ubuntu

faça:

sudo apt update && sudo apt full-upgrade


5. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

josinaldo
-josinaldo-

(usa KUbuntu)

Enviado em 16/10/2020 - 17:08h

The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.


Traduzido pelo Google:
O repositório 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' não possui um arquivo Release

Remova.

O repositório do java agora é esse:
https://launchpad.net/~linuxuprising/+archive/ubuntu/java?field.series_filter=focal
Com as versões 11, 14 e 15.








6. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Daniel Scanoni
DanScanoni

(usa Ubuntu)

Enviado em 16/10/2020 - 17:09h

Pebis escreveu:


DanScanoni escreveu:

clodoaldops escreveu:

-mude o servidor/brasil p/ servidor/principal e tente atualizar novamente


Então, fiz isso e deu o seguinte erro:
"Could not refresh cache
pk-client-error-quark: E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.
W: Updating from such a repository can't be done securely, and is therefore disabled by default.
W: See apt-secure(8) manpage for repository creation and user configuration details.
(319)"
Isso em Configurações->Software Sources->Download from. Daí troquei pra servidor principal e apertei "close". Aparece uma tela com nome "software-properties-qt" e apertei em "Reload".



desabilita essa ppa: http://ppa.launchpad.net/webupd8team/java/ubuntu

faça:

sudo apt update && sudo apt full-upgrade


Desabilitar o ppa fez funcionar o reload, mas deu um erro no comando acima que você pediu pra fazer. Veja:

"sudo apt update && sudo apt full-upgrade
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://archive.ubuntu.com/ubuntu focal InRelease
Atingido:3 http://ppa.launchpad.net/dawidd0811/neofetch/ubuntu focal InRelease
Atingido:4 http://www.geogebra.net/linux stable InRelease
Atingido:5 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Atingido:6 http://archive.ubuntu.com/ubuntu focal-backports InRelease
Atingido:7 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease
Atingido:8 http://archive.ubuntu.com/ubuntu focal-security InRelease
Atingido:9 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal InRelease
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
1 package can be upgraded. Run 'apt list --upgradable' to see it.
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado ou
linux-image-unsigned-5.4.0-51-generic mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Tentei fazer a atualização msm assim, mas não funcionou. Continua dando o mesmo erro...


7. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 16/10/2020 - 17:35h

DanScanoni escreveu:

Pebis escreveu:


DanScanoni escreveu:

clodoaldops escreveu:

-mude o servidor/brasil p/ servidor/principal e tente atualizar novamente


Então, fiz isso e deu o seguinte erro:
"Could not refresh cache
pk-client-error-quark: E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.
W: Updating from such a repository can't be done securely, and is therefore disabled by default.
W: See apt-secure(8) manpage for repository creation and user configuration details.
(319)"
Isso em Configurações->Software Sources->Download from. Daí troquei pra servidor principal e apertei "close". Aparece uma tela com nome "software-properties-qt" e apertei em "Reload".



desabilita essa ppa: http://ppa.launchpad.net/webupd8team/java/ubuntu

faça:

sudo apt update && sudo apt full-upgrade


Desabilitar o ppa fez funcionar o reload, mas deu um erro no comando acima que você pediu pra fazer. Veja:

"sudo apt update && sudo apt full-upgrade
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://archive.ubuntu.com/ubuntu focal InRelease
Atingido:3 http://ppa.launchpad.net/dawidd0811/neofetch/ubuntu focal InRelease
Atingido:4 http://www.geogebra.net/linux stable InRelease
Atingido:5 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Atingido:6 http://archive.ubuntu.com/ubuntu focal-backports InRelease
Atingido:7 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease
Atingido:8 http://archive.ubuntu.com/ubuntu focal-security InRelease
Atingido:9 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal InRelease
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
1 package can be upgraded. Run 'apt list --upgradable' to see it.
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado ou
linux-image-unsigned-5.4.0-51-generic mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Tentei fazer a atualização msm assim, mas não funcionou. Continua dando o mesmo erro...

Tente
apt --fix-broken install



8. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

josinaldo
-josinaldo-

(usa KUbuntu)

Enviado em 16/10/2020 - 17:35h


DanScanoni escreveu:
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado ou
linux-image-unsigned-5.4.0-51-generic mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Tentei fazer a atualização mesmo assim, mas não funcionou. Continua dando o mesmo erro...


Isso pode acontecer quando os pacotes ainda estão sendo upados para os servidores (espelhos) onde fica hospedados os arquivos deb, ja aconteceu comigo isso ao tentar atualizar o kernel.

Remova os arquivos temporários que estão em /var/lib/apt/lists/
sudo rm /var/lib/apt/lists/*

depois rode novamente o update e upgrade:
sudo sh -c 'apt update; apt full-upgrade'

se não der certo, poste a saida de: cat /etc/apt/sources.list
eu te passo uma source.list com o espelho do usa.



9. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Daniel Scanoni
DanScanoni

(usa Ubuntu)

Enviado em 16/10/2020 - 17:37h

-josinaldo- escreveu:

The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.


Traduzido pelo Google:
O repositório 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' não possui um arquivo Release

Remova.

O repositório do java agora é esse:
https://launchpad.net/~linuxuprising/+archive/ubuntu/java?field.series_filter=focal
Com as versões 11, 14 e 15.






Então, tentei instalar e tá travando sempre nessa mensagem final:

"Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não será instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não será instalado ou
linux-image-unsigned-5.4.0-51-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Eu tento o comando sudo apt --fix-broken install acima mas dá outro erro:

"b: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.4.0-51-generic_5.4.0-51.56_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)"




10. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Daniel Scanoni
DanScanoni

(usa Ubuntu)

Enviado em 16/10/2020 - 17:45h

-josinaldo- escreveu:


DanScanoni escreveu:
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado ou
linux-image-unsigned-5.4.0-51-generic mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Tentei fazer a atualização mesmo assim, mas não funcionou. Continua dando o mesmo erro...


Isso pode acontecer quando os pacotes ainda estão sendo upados para os servidores (espelhos) onde fica hospedados os arquivos deb, ja aconteceu comigo isso ao tentar atualizar o kernel.

Remova os arquivos temporários que estão em /var/lib/apt/lists/
sudo rm /var/lib/apt/lists/*

depois rode novamente o update e upgrade:
sudo sh -c 'apt update; apt full-upgrade'

se não der certo, poste a saida de: cat /etc/apt/sources.list
eu te passo uma source.list com o espelho do usa.


Então, não tinha nada em /var/lib/apt/lists/. Rodei o comando que colocou e saiu:

"rm: não foi possível remover '/var/lib/apt/lists/auxfiles': É um diretório
rm: não foi possível remover '/var/lib/apt/lists/partial': É um diretório"

Ou seja, só tinham os dois diretórios. O auxfiles não tem nada dentro e partial tem cadeado, não posso entrar.

Mesmo assim rodei o sudo sh -c 'apt update; apt full-upgrade', mas deu o msm erro:

"Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado ou
linux-image-unsigned-5.4.0-51-generic mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Daí, ao entrar com cat /etc/apt/sources.list, obtive:

"# deb cdrom:[Kubuntu 20.04.1 LTS _Focal Fossa_ - Release amd64 (20200731)]/ focal main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu focal main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu focal-updates main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu focal universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal universe
deb http://archive.ubuntu.com/ubuntu focal-updates universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu focal multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://archive.ubuntu.com/ubuntu focal-updates multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu/ focal partner
# deb-src http://archive.canonical.com/ubuntu/ focal partner

deb http://archive.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu/ focal-security main restricted
deb http://archive.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu/ focal-security universe
deb http://archive.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu/ focal-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual."




11. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Daniel Scanoni
DanScanoni

(usa Ubuntu)

Enviado em 16/10/2020 - 17:46h

leandropscardua escreveu:

DanScanoni escreveu:

Pebis escreveu:


DanScanoni escreveu:

clodoaldops escreveu:

-mude o servidor/brasil p/ servidor/principal e tente atualizar novamente


Então, fiz isso e deu o seguinte erro:
"Could not refresh cache
pk-client-error-quark: E: The repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu focal Release' does not have a Release file.
W: Updating from such a repository can't be done securely, and is therefore disabled by default.
W: See apt-secure(8) manpage for repository creation and user configuration details.
(319)"
Isso em Configurações->Software Sources->Download from. Daí troquei pra servidor principal e apertei "close". Aparece uma tela com nome "software-properties-qt" e apertei em "Reload".



desabilita essa ppa: http://ppa.launchpad.net/webupd8team/java/ubuntu

faça:

sudo apt update && sudo apt full-upgrade


Desabilitar o ppa fez funcionar o reload, mas deu um erro no comando acima que você pediu pra fazer. Veja:

"sudo apt update && sudo apt full-upgrade
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://archive.ubuntu.com/ubuntu focal InRelease
Atingido:3 http://ppa.launchpad.net/dawidd0811/neofetch/ubuntu focal InRelease
Atingido:4 http://www.geogebra.net/linux stable InRelease
Atingido:5 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Atingido:6 http://archive.ubuntu.com/ubuntu focal-backports InRelease
Atingido:7 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease
Atingido:8 http://archive.ubuntu.com/ubuntu focal-security InRelease
Atingido:9 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu focal InRelease
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
1 package can be upgraded. Run 'apt list --upgradable' to see it.
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não está instalado ou
linux-image-unsigned-5.4.0-51-generic mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Tentei fazer a atualização msm assim, mas não funcionou. Continua dando o mesmo erro...

Tente
apt --fix-broken install


Tentei com e sem sudo... Expliquei acima o que deu.


12. Re: Erro na atualização do sistema "linux-image-5.4.0-51-generic". [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 16/10/2020 - 17:59h


DanScanoni escreveu:


Então, tentei instalar e tá travando sempre nessa mensagem final:

"Os pacotes a seguir têm dependências desencontradas:
linux-image-generic : Depende: linux-image-5.4.0-51-generic mas não será instalado
linux-modules-extra-5.4.0-51-generic : Depende: linux-image-5.4.0-51-generic mas não será instalado ou
linux-image-unsigned-5.4.0-51-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)."

Eu tento o comando sudo apt --fix-broken install acima mas dá outro erro:

"b: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.4.0-51-generic_5.4.0-51.56_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)"



tenta instalar o pacote que diz ali:

linux-modules-extra-5.4.0-51-generic




01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts